Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| http://www.jpicedt.org
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jpicedt.ui.internal
Class PEPopupMenuFactory

    java.lang.Object
      jpicedt.ui.internal.PEPopupMenuFactory

All Implemented Interfaces:
  PopupMenuFactory

public class PEPopupMenuFactory
extends Object
implements PopupMenuFactory

A factory to create a PEPopupMenu for an EditorKit.

Since:
  jPicEdt
Version:
  $Id: PEPopupMenuFactory.java,v 1.22.2.1 2007/09/02 11:56:30 reynal Exp $
Author:
  Sylvain Reynal

Nested Class Summary
`class` | `PEPopupMenuFactory.PopupMenu` This class implements a popup-menu activable from a right-click on the associated PECanvas.

Constructor Summary
`PEPopupMenuFactory()` Create a new PEPopupMenuFactory using the given action-map to retrieve actions.

Method Summary
`JPopupMenu` | `createPopupMenu(PECanvas board, HitInfo hi)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PEPopupMenuFactory

    public PEPopupMenuFactory()

  Create a new PEPopupMenuFactory using the given action-map to retrieve actions.

Method Detail

### createPopupMenu

    public JPopupMenu createPopupMenu(PECanvas board,
                                      HitInfo hi)

  Specified by:
    `createPopupMenu` in interface `PopupMenuFactory`
  Parameters:
    `board` - the popup-menu invoker component
    `hi` - the HitInfo obtained from the mouse-event which triggered the popup-menu ; the general contract is to scan the whole drawing, that is, not the selection only. This may be null if no Element was found under the cursor.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| http://www.jpicedt.org
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug : syd@jpicedt.org